from GRANTA_MIScriptingToolkit import granta as mpy


DB = 'MI:Training'
TAB = 'Training Exercise for Import'
full_color = 'Black'
one_rec_color = 'Red'
empty_color = 'White'

s = mpy.connect('localhost/mi_servicelayer', autologon=True)
tab = s.get_db(DB).get_table(TAB)

recs = tab.all_records(include_folders=True, include_generics=True)
changed_recs = []

for r in recs:
    if r.type == 'Folder':
        if r.children:
            if len(r.children) == 1:
                r.color = one_rec_color
            else:
                r.color = full_color
        else:
            r.color = empty_color
        changed_recs.append(r)

s.update(changed_recs)
